Bug 1321407 - ValueError: (2, 'LRO_MAXSPEED (400) is lower than LRO_LOWSPEEDLIMIT (1000)', 'Bad argument of a handle option')
Summary: ValueError: (2, 'LRO_MAXSPEED (400) is lower than LRO_LOWSPEEDLIMIT (1000)', ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 24
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-26 11:40 UTC by srakitnican
Modified: 2017-06-16 13:18 UTC (History)
4 users (show)

Fixed In Version: dnf-2.5.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 13:18:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description srakitnican 2016-03-26 11:40:18 UTC
Description of problem: I was accidentally entered wrong throttle value in /etc/dnf/dnf.conf and dnf has thrown an exception. qsud would be nice if it could handle it gracefully. Option was throttle=400.

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 149, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 212, in do_transaction
    total_cb)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 886, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 127, in download_payloads
    for pload in sorted(payloads, key=_download_sort_key)]
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 127, in <listcomp>
    for pload in sorted(payloads, key=_download_sort_key)]
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 338, in librepo_target
    'handle' : pkg.repo.get_handle(),
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 775, in get_handle
    self._handle = self._handle_new_remote(None)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 644, in _handle_new_remote
    else int(self.bandwidth * self.throttle)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1418, in __setattr__
    self.setopt(ATTR_TO_LRO[attr], val)
  File "/usr/lib64/python3.5/site-packages/librepo/__init__.py", line 1410, in setopt
    _librepo.Handle.setopt(self, option, val)
ValueError: (2, 'LRO_MAXSPEED (400) is lower than LRO_LOWSPEEDLIMIT (1000)', 'Bad argument of a handle option')


Version-Release number of selected component (if applicable):
dnf-1.1.7-2.fc24.noarch

How reproducible:
I think any value of throttle lower then 1000 bytes would work, but it happened to me with throttle=400.

Steps to Reproduce:
1. Enter throttle=400 to /etc/dnf/dnf.conf
2. Try to download some packages udsing dnf

Actual results: Exception


Expected results: Either accepting entered value, or reporting back with an message that value is too low.


Additional info:

Comment 1 Honza Silhan 2016-03-31 13:13:55 UTC
we'll fix that.

Comment 2 Fedora Admin XMLRPC Client 2016-07-08 09:33:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jaroslav Mracek 2017-05-19 12:41:18 UTC
I created pull request that should solve the problem (https://github.com/rpm-software-management/dnf/pull/820).

Comment 4 Fedora Update System 2017-06-12 15:29:58 UTC
dnf-plugins-core-2.1.1-1.fc26 libdnf-0.9.1-1.fc26 dnf-2.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 5 Fedora Update System 2017-06-14 01:35:46 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 6 Fedora Update System 2017-06-14 05:33:54 UTC
dnf-2.5.1-1.fc26 dnf-plugins-core-2.1.1-1.fc26 dnfdaemon-0.3.18-3.fc26 libdnf-0.9.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 7 Fedora Update System 2017-06-15 13:55:56 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 8 Fedora Update System 2017-06-16 13:18:46 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.